import requests
import json
import configparser
import time

config = configparser.ConfigParser()
config.readfp(open('config.ini',encoding='UTF-8'))

url = config.get("URL","URL")
headers = {'content-type': 'application/json'}
print (url)

while True :
    payload = {
    "WorkOrder": [
        {
        "ActTP": float(config.get("PARAMETER","ActTP")),
        "ActWorkTime": float(config.get("PARAMETER","ActWorkTime")),
        "Defect": float(config.get("PARAMETER","Defect")),
        "Description": config.get("PARAMETER","Description"),
        "DevID": config.get("PARAMETER","DevID"),
        "EndTime": config.get("PARAMETER","EndTime"),
        "Goods": float(config.get("PARAMETER","Goods")),
        "OperatorID": config.get("PARAMETER","OperatorID"),
        "OperatorName": config.get("PARAMETER","OperatorName"),
        "PartNumber": config.get("PARAMETER","PartNumber"),
        "ProdName": config.get("PARAMETER","ProdName"),
        "Qty": float(config.get("PARAMETER","Qty")),
        "Routing": config.get("PARAMETER","Routing"),
        "ScadaID": config.get("PARAMETER","ScadaID"),
        "StartTime": config.get("PARAMETER","StartTime"),
        "StdTP": float(config.get("PARAMETER","StdTP")),
        "StdTS": float(config.get("PARAMETER","StdTS")),
        "StdWorkTime": float(config.get("PARAMETER","StdWorkTime")),
        "SubRouting": config.get("PARAMETER","SubRouting"),
        "TPTime": config.get("PARAMETER","TPTime"),
        "TotalTS": float(config.get("PARAMETER","TotalTS")),
        "WOID": config.get("PARAMETER","WOID"),
        "WOProgress": float(config.get("PARAMETER","WOProgress")),
        "WOStatus": config.get("PARAMETER","WOStatus")
        }
    ]
    }
    print (payload)
    r = requests.post(url, data=json.dumps(payload), headers = headers ,verify=False)
    print (r.text)
    print ('--------------------------------------------------------')
    time.sleep(60)
